<test_bug435425.html> (and <test_bug438519.html>) intermittently fails

VERIFIED WORKSFORME

Status

()

Core
DOM
--
major
VERIFIED WORKSFORME
9 years ago
5 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.1b1
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

9 years ago
<http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1219280745.1219285457.2125.gz>
{{
WINNT 5.2 mozilla-central qm-win2k3-unittest-hw dep unit test on 2008/08/20 18:05:45

*** 9089 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Test timed out.
*** 9093 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event! - got "error", expected "load"
*** 9094 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event target [error]!
*** 9096 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event! - got "error", expected "load"
*** 9097 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event target [error]!
}}

<http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1219356345.1219360758.26214.gz>
{{
WINNT 5.2 mozilla-central qm-win2k3-unittest-hw dep unit test on 2008/08/21 15:05:45

*** 8909 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 8910 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [error]!
*** 8912 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 8913 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [error]!
}}
Flags: wanted1.9.1?
(Reporter)

Comment 1

9 years ago
<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1219357026.1219360780.26270.gz&fulltext=1>
{{
Win2k3 comm-central dep unit test on 2008/08/21 15:17:06

*** 8907 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 8908 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [error]!
*** 8909 INFO TEST-PASS | /tests/content/base/test/test_bug435425.html | Extra or wrong event?
*** 8910 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 8911 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [error]!
}}

NB: Don't know why this one does show up in the brief log ?
Blocks: 448343
Summary: <test_bug435425.html> intermittently fails, on Firefox "mozilla-central qm-win2k3-unittest-hw" → <test_bug435425.html> intermittently fails, on Firefox "mozilla-central qm-win2k3-unittest-hw" and SeaMonkey "Win2k3 comm-central"
Haven't looked at the Seamonkey log, but it is strange that it is always the
same windows machine which fails to load an XHR.
I wonder how to debug this :/ Is the problem in httpd.js or XHR or necko or
Windows networking...
Note that this machine is a real hardware machine, not a VM.
(Reporter)

Comment 4

9 years ago
(In reply to comment #3)
> Note that this machine is a real hardware machine, not a VM.

Firefox 'mozilla-central qm-win2k3-unittest-hw' is a HW.
SeaMonkey 'Win2k3 comm-central' is a VM: "Building on: cn-sea-qm-win2k3-01".

What this tell us is that this issue is not HW/VM dependent :->
(Reporter)

Comment 5

9 years ago
(In reply to comment #2)
> I wonder how to debug this :/

Much more detailed error log !?

http://hg.mozilla.org/mozilla-central/index.cgi/annotate/2989d7b99db3372d7093a83050d218b5c755b660/content/base/test/test_bug435425.html#l27
[
36 ok(i != currentEvents.length, "Extra or wrong event?");
37 is(evt.type, currentEvents[i].type, "Wrong event!")
38 ok(evt.target instanceof currentEvents[i].target, "Wrong event target [" + evt.type + "]!");
]

1a. Always print |i|,
1b. and probably something(++) about what is tested/expected, what method is the caller, etc.
2. At 37, print |evt.type|.
3. At 38, print |evt.target|, not |evt.type|.
...

This may not tell us "why" yet, but it should tell us "what" more precisely.
"what" can be got by comparing log to tests array.
But sure, adding more information could help.
Created attachment 335268 [details] [diff] [review]
add a bit more info to test log
[Checkin: Comment 17]
(Reporter)

Comment 8

9 years ago
New box, and a bit more log:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1219722692.1219728933.12247.gz
WINNT 5.2 mozilla-central qm-win2k3-moz2-01 dep unit test on 2008/08/25 20:51:32

*** 9027 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 9028 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [[object XMLHttpRequest],error]!
*** 9030 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 9031 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [[object XMLHttpRequestUpload],error]!
Summary: <test_bug435425.html> intermittently fails, on Firefox "mozilla-central qm-win2k3-unittest-hw" and SeaMonkey "Win2k3 comm-central" → <test_bug435425.html> intermittently fails, on a few "win2k3" tinderboxes
It's been failing on Linux machines as well:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1220605551.1220609246.9868.gz

*** 9217 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 9218 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [[object XMLHttpRequest],error]!
*** 9220 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event! - got "error", expected "load"
*** 9221 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Wrong event target [[object XMLHttpRequestUpload],error]!
OS: Windows Server 2003 → All
Hardware: PC → All
Summary: <test_bug435425.html> intermittently fails, on a few "win2k3" tinderboxes → <test_bug435425.html> intermittently fails
Severity: minor → major
(Reporter)

Comment 10

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1220803154.1220807745.15373.gz
Linux comm-central dep unit test on 2008/09/07 08:59:14
[
*** 8949 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug435425.html | Test timed out.
*** 8953 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event! - got "error", expected "load"
*** 8954 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event target [[object XMLHttpRequest],error]!
*** 8956 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event! - got "error", expected "load"
*** 8957 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_bug438519.html | Wrong event target [[object XMLHttpRequestUpload],error]!
]
Summary: <test_bug435425.html> intermittently fails → <test_bug435425.html> (and <test_bug438519.html>) intermittently fails
(Reporter)

Comment 11

9 years ago
Same 2 files logs with
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1220802266.1220808988.18109.gz
Linux mozilla-central qm-centos5-moz2-01 dep unit test on 2008/09/07 08:44:26
Blocks: 443610
Linux test boxes are almost constantly orange now, after the landing of 443610. So it's not Windows networking. Might be reproducible on Linux now!

In the meantime, we need to get the tree reopened. I vote for disabling the tests.
I disabled those tests. Leaving this bug open so things can be fixed and the tests reenabled.
Actually bug 438519 should be innocent, it doesn't touch XHR so those XHR errors are just errors from the previous test being associated with the wrong test. I'll reenable the 438519 test.
Commenting out stuff in makefile lists that way doesn't work:
http://hg.mozilla.org/mozilla-central/rev/9c72def177e1
You end up commenting out the entire rest of the list.

See http://hg.mozilla.org/mozilla-central/rev/bf9ed43bd679 for one way to fix this better.

(You need an editor with better Makefile syntax highlighting.  That's how I caught this.)
Thanks, fixed in revision 4692f4d24e40
(Reporter)

Updated

9 years ago
Depends on: 454217
(Reporter)

Comment 17

9 years ago
Comment on attachment 335268 [details] [diff] [review]
add a bit more info to test log
[Checkin: Comment 17]

(It was on Sun Aug 24 08:41:22 2008 -0700.)
http://hg.mozilla.org/mozilla-central/rev/64a4675f40f4
Attachment #335268 - Attachment description: add a bit more info to test log → add a bit more info to test log [Checkin: Comment 17]
The tests are enabled again (Bug 454217), but I also changed them a bit now that
httpd.js can handle POST. So far no errors from those XHR tests.
(Reporter)

Updated

9 years ago
Whiteboard: [Comment if happens again, otherwise CLOSEME 2008-09-30]
Resolving per Whiteboard.

-> WORKSFORME
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 20

9 years ago
V.WorksForMe
Status: RESOLVED → VERIFIED
Flags: wanted1.9.1?
Whiteboard: [Comment if happens again, otherwise CLOSEME 2008-09-30]
Target Milestone: --- → mozilla1.9.1b1
Whiteboard: [orange]
(Reporter)

Updated

9 years ago
Blocks: 486247
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.